%{?nodejs_find_provides_and_requires}

#enable/disable tests in case the deps aren't there
%global enable_tests 0

%global installdir  %{_datadir}/javascript

Name:           uglify-js
Version:        3.14.3
Release:        %mkrel 2
Summary:        JavaScript parser, mangler/compressor and beautifier toolkit

Group:          Development/Other
#no license file included; BSD license in source header
License:        BSD
URL:            https://github.com/mishoo/UglifyJS2
Source0:        https://github.com/mishoo/UglifyJS2/archive/v%{version}/UglifyJS2-%{version}.tar.gz
#Patch0:         uglify-js-esfuzz.patch
BuildArch:  noarch

Provides:       nodejs-uglify-js = %{version}-%{release}

BuildRequires:  nodejs-packaging

BuildRequires:  web-assets-devel

%if 0%{?enable_tests}
BuildRequires:  npm(acorn)
BuildRequires:  npm(async)
BuildRequires:  npm(mocha)
BuildRequires:  npm(optimist)
BuildRequires:  npm(source-map)
%endif

Requires: js-uglify = %{version}-%{release}

%description
JavaScript parser, mangler/compressor and beautifier toolkit.

This package ships the uglifyjs command-line tool and a library suitable for
use within Node.js.

%package -n js-uglify
Summary: JavaScript parser, mangler/compressor and beautifier toolkit - core library
Group: Development/Other

Obsoletes: uglify-js-common < 2.2.5-4
Provides: uglify-js-common = %{version}-%{release}

Requires: web-assets-filesystem

%description -n js-uglify
JavaScript parser, mangler/compressor and beautifier toolkit.

This package ships a JavaScript library suitable for use by any JavaScript
runtime.

%prep
%autosetup -p 1 -n UglifyJS-%{version}

%nodejs_fixdep yargs ">=11.1.0"
%nodejs_fixdep source-map ">=0.7.2"
%nodejs_fixdep commander ">=2.17"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{installdir}/%{name}-2
cp -pr lib/* %{buildroot}%{installdir}/%{name}-2
ln -sf %{name}-2 %{buildroot}%{installdir}/%{name}

#compat symlink
mkdir -p %{buildroot}%{_datadir}
ln -sf javascript/%{name} %{buildroot}%{_datadir}/%{name}

mkdir -p %{buildroot}%{nodejs_sitelib}/uglify-js@2
cp -pr bin tools package.json %{buildroot}%{nodejs_sitelib}/uglify-js@2
ln -sf %{installdir}/%{name} %{buildroot}%{nodejs_sitelib}/uglify-js@2/lib
# Fix for rpmlint.
sed -i -e 's|^#! */usr/bin/env node|#!/usr/bin/node|' \
  %{buildroot}%{nodejs_sitelib}/uglify-js@2/bin/*

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/uglify-js@2/bin/uglifyjs %{buildroot}%{_bindir}/uglifyjs

%nodejs_symlink_deps

ln -sf uglify-js@2 %{buildroot}%{nodejs_sitelib}/uglify-js

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
# Prevent timeout error on an ARM builder which is slower than the x86 builder.
sed -i '/timeout/ s/5000/10000/' test/mocha/cli.js
sed -i '/timeout/ s/10000/20000/' test/mocha/let.js
sed -i '/timeout/ s/20000/40000/' test/mocha/spidermonkey.js
%__nodejs test/run-tests.js
%endif

%pretrans -p <lua>
st = posix.stat("%{nodejs_sitelib}/uglify-js")
if st and st.type == "directory" then
  os.execute("rm -rf %{nodejs_sitelib}/uglify-js")
end

%pretrans -n js-uglify -p <lua>
st = posix.stat("%{_datadir}/%{name}")
if st and st.type == "directory" then
  os.execute("rm -rf %{_datadir}/%{name}")
end

%files
%{nodejs_sitelib}/uglify-js
%{nodejs_sitelib}/uglify-js@2
%{_bindir}/uglifyjs

%files -n js-uglify
%{installdir}/%{name}-2
%{installdir}/%{name}
%{_datadir}/%{name}
%doc README.md
%license LICENSE




%changelog
* Wed Mar 23 2022 umeabot <umeabot> 3.14.3-2.mga9
+ Revision: 1820747
- Mageia 9 Mass Rebuild

* Sat Nov 06 2021 joequant <joequant> 3.14.3-1.mga9
+ Revision: 1754065
- update to 3.14.3

* Sun Apr 25 2021 joequant <joequant> 3.13.4-1.mga9
+ Revision: 1719278
- update to 3.13.4

* Tue Nov 03 2020 joequant <joequant> 3.10.4-1.mga9
+ Revision: 1641907
- update to 3.10.4

* Wed Jun 10 2020 joequant <joequant> 3.9.4-1.mga8
+ Revision: 1591839
- update to 3.9.4

* Mon Apr 06 2020 kekepower <kekepower> 3.8.1-1.mga8
+ Revision: 1565129
- Update to version 3.8.1

* Fri Feb 14 2020 umeabot <umeabot> 3.4.8-5.mga8
+ Revision: 1522131
- Mageia 8 Mass Rebuild

* Sat Jan 19 2019 joequant <joequant> 3.4.8-4.mga7
+ Revision: 1358037
- fix async addition

* Fri Sep 21 2018 umeabot <umeabot> 3.4.8-3.mga7
+ Revision: 1291960
- Mageia 7 Mass Rebuild

* Thu Aug 23 2018 kekepower <kekepower> 3.4.8-2.mga7
+ Revision: 1253618
- Update to version 3.4.8

* Wed Aug 22 2018 daviddavid <daviddavid> 3.4.7-2.mga7
+ Revision: 1253387
- relax commander dependency

* Fri Aug 10 2018 kekepower <kekepower> 3.4.7-1.mga7
+ Revision: 1250947
- Update to version 3.4.7

* Tue Jun 19 2018 kekepower <kekepower> 3.4.1-1.mga7
+ Revision: 1238228
- Update to version 3.4.1

* Sat Jun 02 2018 kekepower <kekepower> 3.4.0-1.mga7
+ Revision: 1233629
- Update to version 3.4.0

* Tue May 29 2018 kekepower <kekepower> 3.3.28-1.mga7
+ Revision: 1232960
- Update to version 3.3.28

* Fri May 25 2018 kekepower <kekepower> 3.3.27-1.mga7
+ Revision: 1232102
- Update to version 3.3.27

* Tue May 22 2018 kekepower <kekepower> 3.3.26-1.mga7
+ Revision: 1231477
- Update to version 3.3.26
- Fix nodejs deps

* Sun Apr 29 2018 kekepower <kekepower> 3.3.23-1.mga7
+ Revision: 1223274
- Update to version 3.3.23

* Fri Sep 15 2017 tv <tv> 2.8.22-1.mga7
+ Revision: 1154114
- new release

* Fri Sep 15 2017 tv <tv> 2.6.2-1.mga7
+ Revision: 1154074
- fix SRPM creation due to doble noarch tag

* Thu Apr 21 2016 spuhler <spuhler> 2.6.2-1.mga6
+ Revision: 1004117
- upgrade to vers. 2.6.2
  * fixes Bug 18232 security issue CVE-2015-8858

* Sat Feb 20 2016 umeabot <umeabot> 2.5.0-4.mga6
+ Revision: 972176
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 spuhler <spuhler> 2.5.0-3.mga6
+ Revision: 896471
- added yargs-version patch

* Wed Oct 28 2015 spuhler <spuhler> 2.5.0-2.mga6
+ Revision: 896173
- removed second line of %%doc LICENSE README.md

* Mon Oct 19 2015 spuhler <spuhler> 2.5.0-1.mga6
+ Revision: 892735
- upgrade to vers. 2.5.0
  * this fixes Bug 16643

* Wed Oct 15 2014 umeabot <umeabot> 2.4.13-4.mga5
+ Revision: 748755
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.4.13-3.mga5
+ Revision: 725271
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.13-2.mga5
+ Revision: 690027
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 joequant <joequant> 2.4.13-1.mga5
+ Revision: 655966
- fix category
- imported package uglify-js

